#ifndef GWT_SECTORPARAMETERS_SEEN
#define GWT_SECTORPARAMETERS_SEEN

#include <string>
#include <Wt/WContainerWidget>
#include <Wt/WLineEdit>
#include <Wt/WDialog>
#include <Wt/WText>
#include <Wt/WGroupBox>
#include <Wt/WCheckBox>

using namespace Wt;
using namespace std;

class dataManager;

typedef pair<string, vector<string> > statements;

class GWt_sectorParameters : public WContainerWidget
{
  dataManager* dt_;
  vector<statements> sectors_;
  
  vector <WWidget*> cnt_;
  WLineEdit* sLabel_;
  WLineEdit* firstElement_;
  WLineEdit* lastElement_;
  WLineEdit* repeat_;
  WCheckBox* reflection_;

  WText *status_;
  WDialog *dialog_; 
  WGroupBox *gb_;
  
  void createSector();
  WContainerWidget* buttons(int);
  void dialogDone(WDialog::DialogCode code);
  void add();
  void cancel(int);
  void setStatus(const WString&);
  void setAttributes();

 public :
  
  GWt_sectorParameters() {;}
  GWt_sectorParameters(dataManager*);
  virtual ~GWt_sectorParameters() {;}

  void execDialog();
  void setText(WText*);
};
#endif
